<td-message
  *ngIf="message.show"
  [label]="message.label"
  [sublabel]="message.sublabel"
  [color]="message.color"
  [icon]="message.icon"
  class="uk-margin"
></td-message>

<div *ngIf="(action === 'add-file' || action === 'add-folder') && path">
  <h3>
    Agregando {{ action === 'add-file' ? 'archivo' : 'sub carpeta' }} en
    {{ file ? file.name : 'Principal' }}
  </h3>
</div>

<tnt-barn-form
  [formGroup]="form"
  (submitting)="onSubmitting($event)"
  (submitted)="onSubmitted($event)"
>
  <div *ngIf="action === 'add-file' || action === 'edit-file'">
    <app-file-upload
      [imageURL]="file && file.link"
      allowed_extensions="*"
      (filesChanged)="onFilesChanged($event)"
    >
      <div><mat-icon>cloud_upload</mat-icon></div>
      <p>Arrastre su foto de perfíl aquí.</p>
      <div align="center">
        <button mat-raised-button>Seleccionar</button>
      </div>
    </app-file-upload>
  </div>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <input
      matInput
      #name
      placeholder="Nombre"
      id="name"
      name="name"
      formControlName="name"
    />
  </mat-form-field>

  <div class="uk-width-1-1 uk-margin-small">
    <section>
      <mat-slide-toggle
        color="accent"
        formControlName="blocked"
        name="blocked"
        required
        #blocked
      >
        Blocked
      </mat-slide-toggle>
    </section>
  </div>

  <div class="uk-width-1-1 uk-margin-small">
    <section>
      <mat-slide-toggle
        color="warn"
        formControlName="deleted"
        name="deleted"
        required
        #deleted
      >
        Deleted
      </mat-slide-toggle>
    </section>
  </div>

  <mat-divider></mat-divider>

  <mat-card-actions align="right" class="uk-margin-small">
    <button
      mat-raised-button
      color="primary"
      type="submit"
      [disabled]="submitted"
    >
      Save
    </button>
  </mat-card-actions>
</tnt-barn-form>
